import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import { d as i, bl as p, c as s, o as m, l as a, __tla as __tla_0 } from "./index-9PRMimni.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./index-DkvzUEqh.js";
import { __tla as __tla_1 } from "./index.vue_vue_type_style_index_0_scoped_b974e5ec_lang-_0QwzFKM.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./print-CT_2hrjP.js";
import { H as l, __tla as __tla_2 } from "./index-8tHZJCCW.js";
import "./schemas-BmKi-UM9.js";
import "./props-CLtNejQT.js";
let v;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })()
]).then(async ()=>{
    v = i({
        __name: "historyModal",
        setup (n, { expose: e }) {
            const r = p("historyModalRef");
            async function t(o) {
                r.value?.handleOpenModal({
                    busId: o.id,
                    moduleCode: "NonConformity",
                    subModuleCode: o.subModuleCode
                });
            }
            return e({
                showModal: t
            }), (o, d)=>(m(), s(a(l), {
                    ref: "historyModalRef"
                }, null, 512));
        }
    });
});
export { v as _, __tla };
